Subject: [alpine-devel] [PATCH] Initial APKBUILD file of perl-netaddr-ip

From: IT Offshore <[email-masked]>
Date: Fri, 1 Nov 2013 19:06:22 +0000

perl-netaddr-ip into testing - dependency for FWSNORT:
http://www.cipherdyne.org/fwsnort/
---
 testing/perl-netaddr-ip/APKBUILD | 41 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-netaddr-ip/APKBUILD

diff --git a/testing/perl-netaddr-ip/APKBUILD b/testing/perl-netaddr-ip/APKBUILD
new file mode 100644
index 0000000..b884a66
--- /dev/null
+++ b/testing/perl-netaddr-ip/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: IT Offshore <[email-masked]>
+# Maintainer: IT Offshore <[email-masked]>
+pkgname=perl-netaddr-ip
+_pkgreal=NetAddr-IP
+pkgver=4.071
+pkgrel=0
+pkgdesc="Manages IPv4 and IPv6 addresses and subnets"
+url="http://search.cpan.org/dist/NetAddr-IP/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MI/MIKER/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="f0da45422022fdf1ccfa90b8068d782b  NetAddr-IP-4.071.tar.gz"
+sha256sums="6375e8c76e72d9bd362a9d4ca0794396c9b919fa4e6e00b65e50dee719430d55  NetAddr-IP-4.071.tar.gz"
+sha512sums="5a0927712a798e470b6f98c9acef27cf035b31bd2c4d7329edb1a3cf246a526c67855f388ade3905a0ee821d1fce7d3c0d91ebdfc99c2ca6c013a03cdf6ec36b  NetAddr-IP-4.071.tar.gz"
-- 
1.8.4.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---